Gilad Arnold | ab3bb45 | 2012-05-22 09:08:12 -0700 | [diff] [blame] | 1 | #!/bin/bash |
| 2 | |
Alex Deymo | aea4c1c | 2015-08-19 20:24:43 -0700 | [diff] [blame] | 3 | # |
| 4 | # Copyright (C) 2012 The Android Open Source Project |
| 5 | # |
| 6 | # Licensed under the Apache License, Version 2.0 (the "License"); |
| 7 | # you may not use this file except in compliance with the License. |
| 8 | # You may obtain a copy of the License at |
| 9 | # |
| 10 | # http://www.apache.org/licenses/LICENSE-2.0 |
| 11 | # |
| 12 | # Unless required by applicable law or agreed to in writing, software |
| 13 | # distributed under the License is distributed on an "AS IS" BASIS, |
| 14 | # WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. |
| 15 | # See the License for the specific language governing permissions and |
| 16 | # limitations under the License. |
| 17 | # |
Gilad Arnold | ab3bb45 | 2012-05-22 09:08:12 -0700 | [diff] [blame] | 18 | |
| 19 | # Runs the update engine unit tests, including both userland and run-as-root |
| 20 | # tests. |
| 21 | |
| 22 | if [ ! -e ./update_engine_unittests ]; then |
| 23 | echo 'Error: unit test binary missing' >&2 |
| 24 | exit 1 |
| 25 | fi |
| 26 | |
Gilad Arnold | 5117871 | 2012-07-03 15:52:37 -0700 | [diff] [blame] | 27 | user_pass=0 |
| 28 | ./update_engine_unittests --gtest_filter='-*.RunAsRoot*' && user_pass=1 |
| 29 | root_pass=0 |
| 30 | sudo ./update_engine_unittests --gtest_filter='*.RunAsRoot*' && root_pass=1 |
| 31 | |
| 32 | echo -n "User tests: " && [ $user_pass == 1 ] && echo "PASSED" || echo "FAILED" |
| 33 | echo -n "Root tests: " && [ $root_pass == 1 ] && echo "PASSED" || echo "FAILED" |
Gilad Arnold | 9f8b93d | 2012-08-21 11:05:00 -0700 | [diff] [blame] | 34 | |
| 35 | exit $((2 - user_pass - root_pass)) |